// hud variables
set _hud_configure 0 "1 = configure the HUD"
seta hud_configure_teamcolorforced 0 "1 = force display of team colors in configure mode"
seta hud_configure_checkcollisions 0 "check for collisions against other panels when in hud configure mode"
seta hud_configure_bg_minalpha 0.25 "minimum panel background alpha when in hud configure mode"
seta hud_configure_grid_alpha 0.15 "alpha for visible grid when in configure mode"
seta hud_configure_vertical_lines 0.5 "list of space-separated intervals at which to draw a vertical line, useful for aligning panels; e.g. 0.5 draws a vertical line in the center, \"0.25 0.5 0.75\" draws a vertical line every quarter of the screen width"

seta hud_cursormode 1 "handle mouse input in cursor mode when CSQC displays a cursor"

seta hud_fontsize 11 "text fontsize for the hud"
seta hud_width 560 "2D virtual width for the hud"

seta hud_colorset_foreground_1 "2" "primary priority (important names, etc)"
seta hud_colorset_foreground_2 "3" "secondary priority (items, locations, numbers, etc)"
seta hud_colorset_foreground_3 "4" "tertiary priority or relatively inconsequential text"
seta hud_colorset_foreground_4 "1" "notice/attention grabbing texting"
seta hud_colorset_kill_1 "1" "'bad' or 'dangerous' text (death messages against you, kill notifications, etc)"
seta hud_colorset_kill_2 "3" "similar to above, but less important... OR, a highlight out of above message type"
seta hud_colorset_kill_3 "4" "'good' or 'beneficial' text (you fragging someone, etc)"
seta hud_colorset_background "7" "neutral/unimportant text"

seta hud_speed_unit "1" "speed unit (1 = qu/s, 2 = m/s, 3 = km/h, 4 = mph, 5 = knots)"

// general hud panel cvars (i.e. shouldn't be adjusted by a skin config)
seta hud_panel_weapons          1 "enable this panel"
seta hud_panel_ammo             1 "enable this panel"
seta hud_panel_powerups         1 "enable this panel"
seta hud_panel_healtharmor      1 "enable this panel"
seta hud_panel_notify           1 "enable this panel"
seta hud_panel_timer            1 "enable this panel"
seta hud_panel_radar            1 "enable this panel, 2 = also enable in non-teambased gamemodes"
seta hud_panel_score            1 "enable this panel"
seta hud_panel_racetimer        1 "enable this panel"
seta hud_panel_vote             1 "enable this panel"
seta hud_panel_modicons         1 "enable this panel"
seta hud_panel_pressedkeys      1 "enable this panel, 1 = show only when spectating other players, 2 = show always"
seta hud_panel_chat             1 "enable this panel"
seta hud_panel_engineinfo       0 "enable this panel"
seta hud_panel_infomessages     1 "enable this panel"
seta hud_panel_physics          3 "enable this panel, 1 = show if not observing, 2 = show always, 3 = show only in race/cts if not observing"
seta hud_panel_centerprint      1 "enable this panel"
//seta hud_panel_minigameboard    1 "enable this panel"
//seta hud_panel_minigamestatus   1 "enable this panel"
//seta hud_panel_minigamehelp     1 "enable this panel"
//seta hud_panel_minigamemenu     0 "enable this panel"
//seta hud_panel_mapvote          1 "enable this panel"
seta hud_panel_itemstime        2 "enable this panel, 1 = show when spectating, 2 = even playing in warmup stage"
//seta hud_panel_quickmenu        1 "enable this panel"
//seta hud_panel_scoreboard       1 "enable this panel"
seta hud_panel_scoreboard_accuracy 1 "show weapon accuracy stats panel in the scoreboard; colors can be configured with accuracy_color* cvars"
seta hud_panel_scoreboard_ctf_leaderboard 1 "show a capture time rankings leaderboard in the scoreboard if allowed by the server"
seta hud_panel_scoreboard_itemstats 1 "show item stats panel in the scoreboard"
seta hud_panel_strafehud        3 "enable this panel, 1 = show if not observing, 2 = show always, 3 = show only in race/cts if not observing"
seta hud_panel_pickup           1 "enable this panel"

seta hud_panel_weapons_dynamichud          1 "apply the dynamic hud effects to this panel"
seta hud_panel_ammo_dynamichud             1 "apply the dynamic hud effects to this panel"
seta hud_panel_powerups_dynamichud         1 "apply the dynamic hud effects to this panel"
seta hud_panel_healtharmor_dynamichud      1 "apply the dynamic hud effects to this panel"
seta hud_panel_notify_dynamichud           1 "apply the dynamic hud effects to this panel"
seta hud_panel_timer_dynamichud            1 "apply the dynamic hud effects to this panel"
seta hud_panel_radar_dynamichud            1 "apply the dynamic hud effects to this panel"
seta hud_panel_score_dynamichud            1 "apply the dynamic hud effects to this panel"
seta hud_panel_racetimer_dynamichud        1 "apply the dynamic hud effects to this panel"
seta hud_panel_vote_dynamichud             1 "apply the dynamic hud effects to this panel"
seta hud_panel_modicons_dynamichud         1 "apply the dynamic hud effects to this panel"
seta hud_panel_pressedkeys_dynamichud      1 "apply the dynamic hud effects to this panel"
seta hud_panel_engineinfo_dynamichud       1 "apply the dynamic hud effects to this panel"
seta hud_panel_infomessages_dynamichud     0 "apply the dynamic hud effects to this panel"
seta hud_panel_physics_dynamichud          1 "apply the dynamic hud effects to this panel"
seta hud_panel_centerprint_dynamichud      1 "apply the dynamic hud effects to this panel"
seta hud_panel_itemstime_dynamichud        1 "apply the dynamic hud effects to this panel"
seta hud_panel_scoreboard_dynamichud       0 "apply the dynamic hud effects to this panel"
seta hud_panel_strafehud_dynamichud        1 "apply the dynamic hud effects to this panel"
seta hud_panel_pickup_dynamichud           1 "apply the dynamic hud effects to this panel"

seta hud_panel_weapons_ammo_full_shells 60 "show 100% of the status bar at this ammo count"
seta hud_panel_weapons_ammo_full_nails 320 "show 100% of the status bar at this ammo count"
seta hud_panel_weapons_ammo_full_cells 180 "show 100% of the status bar at this ammo count"
seta hud_panel_weapons_ammo_full_plasma 180 "show 100% of the status bar at this ammo count"
seta hud_panel_weapons_ammo_full_rockets 160 "show 100% of the status bar at this ammo count"
seta hud_panel_weapons_ammo_full_fuel 100 "show 100% of the status bar at this ammo count"
seta hud_panel_weapons_hide_ondeath 0 "hide this panel when dead"
seta hud_panel_weapons_orderbyimpulse "1" "List weapons in their impulse order instead of priority"

seta hud_panel_ammo_maxammo "40" "when you have this much ammo, the ammo status bar is full"
seta hud_panel_ammo_hide_ondeath 0 "hide this panel when dead"

seta hud_panel_powerups_hide_ondeath 0 "hide this panel when dead"

seta hud_panel_healtharmor_fuelbar_startalpha "0.3" "start alpha of the fuel bar"
seta hud_panel_healtharmor_oxygenbar_startalpha "0.2" "start alpha of the oxygen bar"
seta hud_panel_healtharmor_maxhealth "200" "when you have this much health, the health status bar is full"
seta hud_panel_healtharmor_maxarmor "200" "when you have this much armor, the armor status bar is full"
seta hud_panel_healtharmor_progressbar_gfx_damage 5 "show damage effect when damaged at least by this amount; 0 disables the effect"
seta hud_panel_healtharmor_progressbar_gfx_lowhealth 40 "health progressbar blinks when health is lower than this amount"
seta hud_panel_healtharmor_hide_ondeath 0 "hide this panel when dead"

seta hud_panel_timer_increment "0" "show elapsed time instead of remaining time"
seta hud_panel_timer_secondary "1" "secondary timer (0 = hide, 1 = show, 2 = show swapped)"
seta hud_panel_timer_unbound "0" "show seconds leading up to the start of the match"

seta hud_panel_engineinfo_framecounter_exponentialmovingaverage 1 "use an averaging method for calculating fps instead of counting frametime like engine does"
seta hud_panel_engineinfo_framecounter_exponentialmovingaverage_new_weight 0.1 "weight of latest data point"
seta hud_panel_engineinfo_framecounter_exponentialmovingaverage_instantupdate_change_threshold 0.5 "threshold for fps change when to update instantly, to make big fps changes update faster"
seta hud_panel_engineinfo_framecounter_decimals "0" "amount of decimals to show"
seta hud_panel_engineinfo_framecounter_time "0.1" "time between framerate display updates"

seta hud_panel_physics_acceleration_movingaverage 1 "use an averaging method for calculating acceleration instead of the real value"
seta hud_panel_physics_update_interval 0.016 "how often (in seconds) numeric values get updated on screen"

seta hud_panel_itemstime_progressbar_maxtime "30" "when left time is at least this amount, the status bar is full"
seta hud_panel_itemstime_hidespawned "1" "if 1 hide an item from the panel when all the occurrences of it are available again; if 2 hide it when at least one occurrence is available again"
seta hud_panel_itemstime_hidebig "0" "if 1 hide big armor and health from the panel"

set _hud_panel_quickmenu_file_from_server "" "reserved cvar set by the server with a custom server quickmenu file that appears in the default quickmenu"
seta hud_panel_quickmenu_file "" "load the quick menu from this file (empty or 0 to disable)"
seta hud_panel_quickmenu_translatecommands 0 "when the game is translated, translate strings inside commands too (useful for chat commands)"
seta hud_panel_quickmenu_time 5 "quickmenu expires after this number of seconds in the same page"
// do not remember this setting
set hud_panel_quickmenu_server_is_default 0 "make the server's custom quickmenu the default one"

seta hud_panel_infomessages_group0 1 "show group 0 messages (showing keys for non-crucial actions you can do while spectating/observing)"
seta hud_panel_infomessages_group_time 6 "number of seconds a message of a group lasts before it gets changed"
seta hud_panel_infomessages_group_fadetime 0.4 "group message fade in/out time"

seta hud_panel_centerprint_time 3 "message duration (NOTE: certain messages have a fixed duration)"
seta hud_panel_centerprint_fade_in 0 "how long a message takes to fade in"
seta hud_panel_centerprint_fade_out 0.15 "how long a message takes to fade out (this time is included in the message duration and can't be > 5)"
seta hud_panel_centerprint_fade_subsequent 1 "enable extra fading effects for each additional message, so that the more messages you have the more they become faded out"
seta hud_panel_centerprint_fade_subsequent_passone 3 "division factor for the first pass for alpha fading, with 2 all messages after the first have half alpha"
seta hud_panel_centerprint_fade_subsequent_passone_minalpha 0.5 "minimum factor that the first pass can fade to"
seta hud_panel_centerprint_fade_subsequent_passtwo 10 "division factor for the second pass for alpha fading, it applies another fade on top of the first pass to make it more transitioned"
seta hud_panel_centerprint_fade_subsequent_passtwo_minalpha 0.5 "minimum factor that the second pass can fade to"
seta hud_panel_centerprint_fade_minfontsize 1 "minimum factor for the font size from the fading in/out effects"

seta hud_panel_scoreboard_namesize 15 "size limit of player names and relative column (multiplied by fontsize)"
seta hud_panel_scoreboard_maxheight 0.6 "max height of the scoreboard; a few players that wouldn't fit into the scoreboard are listed in the last row"
seta hud_panel_scoreboard_others_showscore 1 "show scores of players listed in the last row when the scoreboard reaches the max height"
seta hud_panel_scoreboard_spectators_showping 1 "show ping of spectators"
seta hud_panel_scoreboard_spectators_aligned 0 "align spectators in columns"
seta hud_panel_scoreboard_spectators_position 1 "spectator list position (0 = before accuracy and itemstats, 1 = before rankings, 2 = after rankings, 3 = after map stats)"
seta hud_panel_scoreboard_minwidth 0.6 "minimum width of the scoreboard"
seta hud_panel_scoreboard_team_size_position 0 "where to show the team size (0 = do not show, 1 = left of scoreboard, 2 = right of scoreboard), will move team scores to the other side if necessary"
seta hud_panel_scoreboard_ping_best 0 "use best_color for this ping"
seta hud_panel_scoreboard_ping_medium 70 "use medium_color for this ping"
seta hud_panel_scoreboard_ping_high 100 "use high_color for this ping"
seta hud_panel_scoreboard_ping_worst 150 "use worst_color for this ping"
seta hud_panel_scoreboard_ping_best_color "0 1 0" "color for best ping"
seta hud_panel_scoreboard_ping_medium_color "1 1 0" "color for medium ping"
seta hud_panel_scoreboard_ping_high_color "1 0.5 0" "color for high ping"
seta hud_panel_scoreboard_ping_worst_color "1 0 0" "color for worst ping"
seta hud_panel_scoreboard_playerid 0 "show player id (server entity number) next to player's name"
seta hud_panel_scoreboard_playerid_prefix "#" "player id prefix"
seta hud_panel_scoreboard_playerid_suffix " " "player id suffix"
seta hud_panel_scoreboard_scores_per_round "0" "show average scores per round"

seta hud_panel_scoreboard_accuracy_showdelay 2 "how long to delay displaying accuracy below the scoreboard if it's too far down"
seta hud_panel_scoreboard_accuracy_showdelay_minpos 0.75 "delay displaying the accuracy panel only if its position is lower than this percentage of the screen height from the top"

seta hud_panel_scoreboard_itemstats_filter 1 "filter out less interesting items (according to hud_panel_scoreboard_itemstats_filter_mask)"
seta hud_panel_scoreboard_itemstats_filter_mask 12 "[0-1][0-4]: the tens digit filters out all ammo items if set to 1, the units digit filters out health/armor items (1 small, 2 medium too, 3 big too, 4 mega too)"
seta hud_panel_scoreboard_itemstats_showdelay 2.2 "how long to delay displaying item stats below the scoreboard if it's too far down"
seta hud_panel_scoreboard_itemstats_showdelay_minpos 0.75 "delay displaying the item stats panel only if its position is lower than this percentage of the screen height from the top"

seta _hud_panel_strafehud_demo "0" "strafehud changes angle during configure"
seta hud_panel_strafehud_mode "0" "strafehud mode which controls whether the strafehud is centered at \"0\" = view angle, \"1\" = velocity angle"
seta hud_panel_strafehud_range "90" "the angle range up to 360 degrees displayed on the strafehud, \"0\" = dynamic (chooses the minimum range required to still see the whole area needed for accelerating)"
seta hud_panel_strafehud_style "2" "\"0\" = no styling, \"1\" = progress bar style for the strafe bar, \"2\" = gradient for the strafe bar"
seta hud_panel_strafehud_unit_show "1" "show units"
seta hud_panel_strafehud_uncapped "0" "set to \"1\" to remove some safety restrictions, useful to set thinner indicator lines down to 1px or for trying out higher values for some performance degrading operations (warning: elements may turn invisible if too thin, other configurations may crash your game or look horribly ugly)"
seta hud_panel_strafehud_bar_preaccel "1" "set to \"1\" to extend the acceleration zone by the strafe meter zone before full acceleration can be achieved"
seta hud_panel_strafehud_bar_neutral_color "1 1 1" "color of the strafe meter neutral zone"
seta hud_panel_strafehud_bar_neutral_alpha "0.1" "opacity of the strafe meter neutral zone"
seta hud_panel_strafehud_bar_accel_color "0 1 0" "color of the strafe meter acceleration zone"
seta hud_panel_strafehud_bar_accel_alpha "0.5" "opacity of the strafe meter acceleration zone"
seta hud_panel_strafehud_bar_overturn_color "1 0 1" "color of the strafe meter overturn zone"
seta hud_panel_strafehud_bar_overturn_alpha "0.5" "opacity of the strafe meter overturn zone"
seta hud_panel_strafehud_angle_style "0" "set the angle indicator style: 0 = none, 1 = solid line, 2 = dashed line"
seta hud_panel_strafehud_angle_dashes "4" "determines the amount of dashes if the angle indicator uses a dashed line"
seta hud_panel_strafehud_angle_alpha "0.8" "opacity of the indicator showing the player's current angle"
seta hud_panel_strafehud_angle_height "1" "height of the indicator showing the player's current angle (relative to the panel height)"
seta hud_panel_strafehud_angle_width "0.001" "width of the indicator showing the player's current angle (relative to the panel width)"
seta hud_panel_strafehud_angle_neutral_color "1 1 0" "color of the indicator showing the player's current angle if it is within the neutral zone"
seta hud_panel_strafehud_angle_accel_color "0 1 1" "color of the indicator showing the player's current angle if it is within the acceleration zone"
seta hud_panel_strafehud_angle_overturn_color "1 0 1" "color of the indicator showing the player's current angle if it is within the overturn zone"
seta hud_panel_strafehud_angle_arrow "1" "set the angle indicator's arrow style: 0 = none, 1 = top, 2 = bottom, 3 = both"
seta hud_panel_strafehud_angle_arrow_size "0.5" "size of the arrow (relative to the panel height)"
seta hud_panel_strafehud_bestangle "1" "set to \"1\" to enable a ghost angle indicator showing the best angle to gain maximum acceleration"
seta hud_panel_strafehud_bestangle_color "1 1 1" "color of the indicator showing the best angle to gain maximum acceleration"
seta hud_panel_strafehud_bestangle_alpha "0.5" "opacity of the indicator showing the best angle to gain maximum acceleration"
seta hud_panel_strafehud_switch "1" "set to \"1\" to enable the switch indicator showing the angle to move to when switching sides"
seta hud_panel_strafehud_switch_minspeed "-1" "minimum speed in qu/s at which switch indicator(s) which are used to aid changing strafe direction will be shown (set to -1 for dynamic minspeed)"
seta hud_panel_strafehud_switch_color "1 1 0" "color of the switch indicator"
seta hud_panel_strafehud_switch_alpha "1" "opacity of the switch indicator"
seta hud_panel_strafehud_switch_width "0.003" "width of the strafe angle indicator(s) (relative to the strafe bar width)"
seta hud_panel_strafehud_direction "0" "set to \"1\" to enable the direction caps to see in which direction you are currently strafing"
seta hud_panel_strafehud_direction_color "0 0.5 1" "color of the direction caps which indicate the direction the player is currently strafing towards"
seta hud_panel_strafehud_direction_alpha "1" "opacity of the direction caps which indicate the direction the player is currently strafing towards"
seta hud_panel_strafehud_direction_width "0.25" "stroke width of the direction caps which indicate the direction the player is currently strafing towards (relative to the panel height)"
seta hud_panel_strafehud_direction_length "0.02" "length of the horizontal component of the direction caps which indicate the direction the player is currently strafing towards (relative to the panel width)"
seta hud_panel_strafehud_slickdetector "1" "set to \"1\" to enable the slick detector which notifies you if there is slick near you"
seta hud_panel_strafehud_slickdetector_range "200" "range of the slick detector in qu"
seta hud_panel_strafehud_slickdetector_granularity "1" "value from 0 to 4 which defines how exact the search for slick should be, higher values may yield better results but require more computation"
seta hud_panel_strafehud_slickdetector_color "0 1 1" "color of the slick detector indicator"
seta hud_panel_strafehud_slickdetector_alpha "0.5" "opacity of the slick detector indicator"
seta hud_panel_strafehud_slickdetector_height "0.125" "height of the slick detector indicator (relative to the panel height)"
seta hud_panel_strafehud_startspeed "1" "set to \"1\" to enable the start speed indicator which shows you the speed you had while passing the start trigger of a race map"
seta hud_panel_strafehud_startspeed_fade "4" "fade time (in seconds) of the start speed text"
seta hud_panel_strafehud_startspeed_color "1 0.75 0" "color of the start speed text"
seta hud_panel_strafehud_startspeed_size "1.5" "size of the start speed text (relative to the panel height)"
seta hud_panel_strafehud_jumpheight "0" "set to \"1\" to enable the jump height indicator which tells you how high you jumped"
seta hud_panel_strafehud_jumpheight_fade "4" "fade time (in seconds) of the jump height text"
seta hud_panel_strafehud_jumpheight_min "50" "minimum jump height to display in the selected unit"
seta hud_panel_strafehud_jumpheight_color "0 1 0.75" "color of the jump height text"
seta hud_panel_strafehud_jumpheight_size "1.5" "size of the jump height text (relative to the panel height)"
seta hud_panel_strafehud_timeout_ground "0.1" "time (in seconds) after take off before changing to air strafe physics when not jumping (visually more consistent hud while on slick downwards ramps)"
seta hud_panel_strafehud_timeout_turn "0.1" "time (in seconds) after releasing the strafe keys before changing mode (visually more consistent hud while switching between left/right strafe turning)"
seta hud_panel_strafehud_antiflicker_angle "0.01" "how many degrees from 0° to 180° the hud ignores if it could cause visual disturbances otherwise (and to counter rounding errors)"
seta hud_panel_strafehud_fps_update "0.5" "update interval (in seconds) of the frametime to calculate the optimal angle, smaller values may cause flickering"

// hud panel aliases
alias quickmenu "cl_cmd hud quickmenu ${* ?}"

alias hud_panel_radar_rotate "toggle hud_panel_radar_rotation 0 1 2 3 4"
alias +hud_panel_radar_maximized "cl_cmd hud radar 1"
alias -hud_panel_radar_maximized "cl_cmd hud radar 0"
alias hud_panel_radar_maximized "cl_cmd hud radar"

// other hud cvars
seta hud_panel_update_interval 2 "how often (in seconds) common panel cvars are reloaded"

seta hud_dynamic_follow 0 "HUD moves around following player's movement (effect shared with cl_followmodel, can be enabled independently from it though)"
seta hud_dynamic_follow_scale 0.01 "HUD following scale"
seta hud_dynamic_follow_scale_xyz "1 1 1" "HUD following scale for the x, y and z axis"

seta hud_dynamic_shake 1 "shake the HUD when hurt"
seta hud_dynamic_shake_damage_max 130 "damage value at which the HUD shake effect is maximum"
seta hud_dynamic_shake_damage_min 10 "damage value at which the HUD shake effect is minimum"
seta hud_dynamic_shake_scale 0.2 "HUD shake scale"

seta hud_showbinds 1	"what to show in the HUD to indicate certain keys to press: 0 display commands, 1 bound keys, 2 both"
seta hud_showbinds_limit 2	"maximum number of bound keys to show for a command. 0 for unlimited"
set _hud_showbinds_reload 0	"set it to 1 to reload binds if you changed any. It is reset to 0 automatically"

seta hud_colorflash_alpha 0.5 "starting alpha of the color flash"

seta hud_damage 0.55 "draw a blood image when hurt (improved version of gl_polyblend)"
seta hud_damage_blur 0 "Use postprocessing to blur the screen when you have taken damage. This can be paired with current hud damage or just used alone. Higher values = more blur"
seta hud_damage_blur_alpha 0.5 "Amount of alpha to use when merging the blurred layers back into the render. Turning this up higher will remove bloom, so it's best to find a balance"
seta hud_damage_gentle_alpha_multiplier 0.10 "how much to multiply alpha of flash when using the cl_gentle version, it's much more opaque than the non-gentle version"
seta hud_damage_gentle_color "1 0.7 1" "color of flash for cl_gentle version"
seta hud_damage_color "1 0 0" "color of flash"
seta hud_damage_factor 0.025 "(damage * factor) = how much to add to the alpha value"
seta hud_damage_fade_rate 0.75 "how much to subtract from the alpha value each second"
seta hud_damage_maxalpha 1.5 "how much to limit the alpha value to"
seta hud_damage_pain_threshold 0.1 "how much alpha to ignore (must be bigger than the hud_damage_factor so that e.g. rot is ignored)"
seta hud_damage_pain_threshold_lower 1.25 "how much we lower pain_threshold with when nearing 0 health (if pain_threshold gets negative then we always draw a flash at alpha = fabs(pain_threshold)"
seta hud_damage_pain_threshold_lower_health 50 "at which health we start lowering pain_threshold"
seta hud_damage_pain_threshold_pulsating_min 0.6 "minimum value when calculating the pulse: max(pulsating_min, fabs(sin(PI * time / period))"
seta hud_damage_pain_threshold_pulsating_period 0.8 "one pulse every X seconds"

seta hud_powerup 0 "power of the sharpen effect when owning the shield or strength powerups"

seta hud_postprocessing 1 "enables the ability for effects such as hud_damage_blur and hud_contents to apply a postprocessing method upon the screen - enabling this disables manual editing of the postprocess cvars"
seta hud_postprocessing_maxbluralpha 0 "maximum alpha which the blur postprocess can be"
seta hud_postprocessing_maxblurradius 8 "maximum radius which the blur postprocess can be"

seta hud_contents 1 "an improved version of gl_polyblend for liquids such as water/lava/slime, draw a filler when inside the liquid"
seta hud_contents_blur 10 "Use postprocessing to blur the screen when you are inside a liquid. Higher values = more blur"
seta hud_contents_blur_alpha 0.5 "Amount of alpha to use when merging the blurred layers back into the render. Turning this up higher will remove bloom, so it's best to find a balance"
seta hud_contents_factor 1 "factor at which to multiply the current faded value."
seta hud_contents_fadeintime 0.02 "factor of time it takes for the alpha level to reach normal value when entering the liquid"
seta hud_contents_fadeouttime 0.1 "factor of time it takes for the alpha level to reach normal value when leaving the liquid"
seta hud_contents_lava_alpha 0.7 "alpha of the lava"
seta hud_contents_lava_color "0.8 0.1 0" "color blend when inside lava"
seta hud_contents_slime_alpha 0.7 "alpha of the slime"
seta hud_contents_slime_color "0 0.4 0.1" "color blend when inside slime"
seta hud_contents_water_alpha 0.5 "alpha of the water"
seta hud_contents_water_color "0.4 0.3 0.3" "color blend when inside water"

seta hud_shownames 1 "draw names and health/armor of nearby players"
seta hud_shownames_enemies 1 "show tags for enemies as well"
seta hud_shownames_crosshairdistance 0 "if set, only draw tags which came within this distance of your crosshair (25 recommended)"
seta hud_shownames_crosshairdistance_time 5 "how many seconds the tag is still visible after pointing at them"
seta hud_shownames_crosshairdistance_antioverlap 0 "allow antioverlap to work as normal even with crosshairdistance on"
seta hud_shownames_self 0 "also include your own name to be shown when third person camera mode is on (chase_active/cl_eventchase)"
seta hud_shownames_status 1 "1 = draw health/armor status of teammates"
seta hud_shownames_statusbar_height 4 "height of status bar"
seta hud_shownames_statusbar_highlight 1 "Always highlight values of health and armor from 0 to half status bar"
seta hud_shownames_aspect 8 "aspect ratio of total drawing area per name"
seta hud_shownames_fontsize 12 "font size"
seta hud_shownames_decolorize 1 "1 = decolorize name in team games, 2 = decolorize always"
seta hud_shownames_alpha 0.7 "alpha"
seta hud_shownames_resize 1 "enable resizing of the names, then the size cvars will correspond to the maximum size"
seta hud_shownames_mindistance 1000 "start fading alpha/size at this distance"
seta hud_shownames_maxdistance 5000 "alpha/size is 0 at this distance"
seta hud_shownames_antioverlap 1 "if two tags overlap, fade out the one further away from you"
seta hud_shownames_antioverlap_minalpha 0.4 "fade out overlapping tags to this alpha value"
seta hud_shownames_offset 52 "offset (along z-axis) tag from player origin by this many units"

seta hud_panel_pickup_showtimer 1 "0 = hide timer, 1 = show timer, 2 = only when spectating"
seta hud_panel_pickup_iconsize 1.5 "icon size scale"
seta hud_panel_pickup_time 3 "pickup message duration (can't be higher than 5)"
seta hud_panel_pickup_fade_out 0.15 "how long a pickup message takes to fade out (this time is included in the message duration)"
